skype 4.3

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
tano70
Linux 2.x
Linux 2.x
Messaggi: 255
Iscritto il: lun ago 12, 2013 10:28
Nome Cognome: Tony
Slackware: current 64bit
Kernel: 3.14.17
Desktop: Xfce

Re: skype 4.3

Messaggioda tano70 » lun set 22, 2014 9:36

capisco, allora diciamo che potrebbe anche essere che il sistema a 64 bit manchi di qualche libreria. Peccato comunque...mi ero illuso che potesse funzionare e quindi di avere anche su archlinux uno skype 4.3 funzionante senza sporcare il sistema con quelle maledette librerie di pulseadio!! grazie comunque per la disponibilità Rik....se vieni a conoscenza di info su come risolvere il problema per favore non esitare ad aggiornarmi.

rik70
Master
Master
Messaggi: 1935
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.2
Kernel: 4.18
Desktop: Xfce 4.12
Distribuzione: archlinux

Re: skype 4.3

Messaggioda rik70 » lun set 22, 2014 9:48

@tano

A meno che sul tuo sistema non ci sia bisognno di questo:
If you want 32-bit binaries on 64-bit machine, use:
$ mkdir build && cd build
$ CFLAGS=-m32 cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release ..
$ make
# make install
Nota la varabile CFLAGS

Skype su linux è a 32bit o esiste anche la versione a 64? Ripeto, io di pacchetti e programmi a 64bit ne so poco o nulla.

Avatar utente
tano70
Linux 2.x
Linux 2.x
Messaggi: 255
Iscritto il: lun ago 12, 2013 10:28
Nome Cognome: Tony
Slackware: current 64bit
Kernel: 3.14.17
Desktop: Xfce

Re: skype 4.3

Messaggioda tano70 » lun set 22, 2014 9:54

rik70 ha scritto:@tano

A meno che sul tuo sistema non ci sia bisognno di questo:
If you want 32-bit binaries on 64-bit machine, use:
$ mkdir build && cd build
$ CFLAGS=-m32 cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release ..
$ make
# make install
Nota la varabile CFLAGS

Skype su linux è a 32bit o esiste anche la versione a 64? Ripeto, io di pacchetti e programmi a 64bit ne so poco o nulla.

si ma questa roba dove la devo scrivere? sul PKGBUILD?? mi fai un esempio concreto su questo? nel PKGBUILD non vedo dove sovrascrivere queste righe che mi hai postato, mi posti per favore sotto il PKGBUILD adattato a fare questo?

rik70
Master
Master
Messaggi: 1935
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.2
Kernel: 4.18
Desktop: Xfce 4.12
Distribuzione: archlinux

Re: skype 4.3

Messaggioda rik70 » lun set 22, 2014 10:03

tano70 ha scritto:si ma questa roba dove la devo scrivere? sul PKGBUILD?? mi fai un esempio concreto su questo? nel PKGBUILD non vedo dove sovrascrivere queste righe che mi hai postato, mi posti per favore sotto il PKGBUILD adattato a fare questo?


Nella funzione 'build' del PKGBUILD. Questa è l'originale:

Codice: Seleziona tutto

build() {
   cd "$srcdir/${pkgname%-git}"
   cmake -DCMAKE_INSTALL_PREFIX=/usr
   make
}

E questa la versione modificata:

Codice: Seleziona tutto

build() {
   cd "$srcdir/${pkgname%-git}"
   CFLAGS=-m32 cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
   make
}

Avatar utente
tano70
Linux 2.x
Linux 2.x
Messaggi: 255
Iscritto il: lun ago 12, 2013 10:28
Nome Cognome: Tony
Slackware: current 64bit
Kernel: 3.14.17
Desktop: Xfce

Re: skype 4.3

Messaggioda tano70 » lun set 22, 2014 10:19

grazie già lo avevo modificato in questo modo da me,ma mi da un mare di errori nella compilazione

Codice: Seleziona tutto

[tano70@archlinux apulse-git]$ makepkg -s
==> Creazione del pacchetto: apulse-git 0.11_1f1c4fb-2 (lun 22 set 2014, 10.21.58, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> Clonazione del repository apulse git in corso...
Clone nel repository spoglio '/home/tano70/Scaricati/apulse-git/apulse'...
remote: Counting objects: 119, done.
remote: Compressing objects: 100% (4/4), done.
remote: Total 119 (delta 0), reused 0 (delta 0)
Ricezione degli oggetti: 100% (119/119), 133.10 KiB | 0 bytes/s, done.
Risoluzione dei delta: 100% (46/46), done.
Checking connectivity... fatto.
==> Validazione dei sorgenti con md5sums in corso...
    apulse ... Ignorato
==> Estrazione dei sorgenti in corso...
  -> Creazione di una copia di lavoro del repository apulse git in corso...
Cloning into 'apulse'...
fatto.
==> Avvio di pkgver() in corso...
==> Versione aggiornata: apulse-git 0.15_1a74ba1-1
==> Avvio di build() in corso...
-- The C compiler identification is GNU 4.9.1
-- The CXX compiler identification is GNU 4.9.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- broken
CMake Error at /usr/share/cmake-3.0/Modules/CMakeTestCCompiler.cmake:61 (message):
  The C compiler "/usr/bin/cc" is not able to compile a simple test program.

  It fails with the following output:

   Change Dir: /home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp

 

  Run Build Command:"/usr/bin/make" "cmTryCompileExec3995711278/fast"

  /usr/bin/make -f CMakeFiles/cmTryCompileExec3995711278.dir/build.make
  CMakeFiles/cmTryCompileExec3995711278.dir/build

  make[1]: ingresso nella directory
  "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp"

  /usr/bin/cmake -E cmake_progress_report
  /home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp/CMakeFiles
  1

  Building C object
  CMakeFiles/cmTryCompileExec3995711278.dir/testCCompiler.c.o

  /usr/bin/cc -m32 -o
  CMakeFiles/cmTryCompileExec3995711278.dir/testCCompiler.c.o -c
  /home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp/testCCompiler.c


  Linking C executable cmTryCompileExec3995711278

  /usr/bin/cmake -E cmake_link_script
  CMakeFiles/cmTryCompileExec3995711278.dir/link.txt --verbose=1

  /usr/bin/cc -m32 -Wl,-O1,--sort-common,--as-needed,-z,relro
  CMakeFiles/cmTryCompileExec3995711278.dir/testCCompiler.c.o -o
  cmTryCompileExec3995711278 -rdynamic

  /usr/bin/ld: saltato /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/libgcc.a
  incompatibile durante la ricerca di -lgcc

  /usr/bin/ld: impossibile trovare -lgcc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/libgcc_s.so incompatibile durante la ricerca
  di -lgcc_s

  /usr/bin/ld: impossibile trovare -lgcc_s

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libc.so
  incompatibile durante la ricerca di -lc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libc.a
  incompatibile durante la ricerca di -lc

  /usr/bin/ld: saltato /lib/../lib/libc.so incompatibile durante la ricerca
  di -lc

  /usr/bin/ld: saltato /lib/../lib/libc.a incompatibile durante la ricerca di
  -lc

  /usr/bin/ld: saltato /usr/lib/../lib/libc.so incompatibile durante la
  ricerca di -lc

  /usr/bin/ld: saltato /usr/lib/../lib/libc.a incompatibile durante la
  ricerca di -lc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libc.so incompatibile
  durante la ricerca di -lc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libc.a incompatibile
  durante la ricerca di -lc

  /usr/bin/ld: saltato /usr/lib/libc.so incompatibile durante la ricerca di
  -lc

  /usr/bin/ld: saltato /usr/lib/libc.a incompatibile durante la ricerca di
  -lc

  /usr/bin/ld: impossibile trovare -lc

  /usr/bin/ld: saltato /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/libgcc.a
  incompatibile durante la ricerca di -lgcc

  /usr/bin/ld: impossibile trovare -lgcc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/libgcc_s.so incompatibile durante la ricerca
  di -lgcc_s

  /usr/bin/ld: impossibile trovare -lgcc_s

  collect2: error: ld returned 1 exit status

  CMakeFiles/cmTryCompileExec3995711278.dir/build.make:88: set di istruzioni
  per l'obiettivo "cmTryCompileExec3995711278" non riuscito

  make[1]: *** [cmTryCompileExec3995711278] Errore 1

  make[1]: uscita dalla directory
  "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp"

  Makefile:118: set di istruzioni per l'obiettivo
  "cmTryCompileExec3995711278/fast" non riuscito

  make: *** [cmTryCompileExec3995711278/fast] Errore 2

 

 

  CMake will not be able to correctly generate this project.
Call Stack (most recent call first):
  CMakeLists.txt:1 (project)


-- Configuring incomplete, errors occurred!
See also "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeOutput.log".
See also "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeError.log".
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...

rik70
Master
Master
Messaggi: 1935
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.2
Kernel: 4.18
Desktop: Xfce 4.12
Distribuzione: archlinux

Re: skype 4.3

Messaggioda rik70 » lun set 22, 2014 10:29

tano70 ha scritto:grazie già lo avevo modificato in questo modo da me,ma mi da un mare di errori nella compilazione

Aspetta che testino qui sulla 64-bit. Ripeto quanto detto sopra: ne so poco o nulla.

Avatar utente
tano70
Linux 2.x
Linux 2.x
Messaggi: 255
Iscritto il: lun ago 12, 2013 10:28
Nome Cognome: Tony
Slackware: current 64bit
Kernel: 3.14.17
Desktop: Xfce

Re: skype 4.3

Messaggioda tano70 » lun set 22, 2014 10:37

ok rik, aspetterò....conto davvero in una soluzione, per potermelo godere appieno anche sulla mia arch

rik70
Master
Master
Messaggi: 1935
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.2
Kernel: 4.18
Desktop: Xfce 4.12
Distribuzione: archlinux

Re: skype 4.3

Messaggioda rik70 » lun set 22, 2014 10:38

P.S.
tano70 ha scritto:

Codice: Seleziona tutto

[tano70@archlinux apulse-git]$ makepkg -s
==> Creazione del pacchetto: apulse-git 0.11_1f1c4fb-2 (lun 22 set 2014, 10.21.58, CEST)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> Clonazione del repository apulse git in corso...
Clone nel repository spoglio '/home/tano70/Scaricati/apulse-git/apulse'...
remote: Counting objects: 119, done.
remote: Compressing objects: 100% (4/4), done.
remote: Total 119 (delta 0), reused 0 (delta 0)
Ricezione degli oggetti: 100% (119/119), 133.10 KiB | 0 bytes/s, done.
Risoluzione dei delta: 100% (46/46), done.
Checking connectivity... fatto.
==> Validazione dei sorgenti con md5sums in corso...
    apulse ... Ignorato
==> Estrazione dei sorgenti in corso...
  -> Creazione di una copia di lavoro del repository apulse git in corso...
Cloning into 'apulse'...
fatto.
==> Avvio di pkgver() in corso...
==> Versione aggiornata: apulse-git 0.15_1a74ba1-1
==> Avvio di build() in corso...
-- The C compiler identification is GNU 4.9.1
-- The CXX compiler identification is GNU 4.9.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- broken
CMake Error at /usr/share/cmake-3.0/Modules/CMakeTestCCompiler.cmake:61 (message):
  The C compiler "/usr/bin/cc" is not able to compile a simple test program.

  It fails with the following output:

   Change Dir: /home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp

 

  Run Build Command:"/usr/bin/make" "cmTryCompileExec3995711278/fast"

  /usr/bin/make -f CMakeFiles/cmTryCompileExec3995711278.dir/build.make
  CMakeFiles/cmTryCompileExec3995711278.dir/build

  make[1]: ingresso nella directory
  "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp"

  /usr/bin/cmake -E cmake_progress_report
  /home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp/CMakeFiles
  1

  Building C object
  CMakeFiles/cmTryCompileExec3995711278.dir/testCCompiler.c.o

  /usr/bin/cc -m32 -o
  CMakeFiles/cmTryCompileExec3995711278.dir/testCCompiler.c.o -c
  /home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp/testCCompiler.c


  Linking C executable cmTryCompileExec3995711278

  /usr/bin/cmake -E cmake_link_script
  CMakeFiles/cmTryCompileExec3995711278.dir/link.txt --verbose=1

  /usr/bin/cc -m32 -Wl,-O1,--sort-common,--as-needed,-z,relro
  CMakeFiles/cmTryCompileExec3995711278.dir/testCCompiler.c.o -o
  cmTryCompileExec3995711278 -rdynamic

  /usr/bin/ld: saltato /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/libgcc.a
  incompatibile durante la ricerca di -lgcc

  /usr/bin/ld: impossibile trovare -lgcc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/libgcc_s.so incompatibile durante la ricerca
  di -lgcc_s

  /usr/bin/ld: impossibile trovare -lgcc_s

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libc.so
  incompatibile durante la ricerca di -lc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libc.a
  incompatibile durante la ricerca di -lc

  /usr/bin/ld: saltato /lib/../lib/libc.so incompatibile durante la ricerca
  di -lc

  /usr/bin/ld: saltato /lib/../lib/libc.a incompatibile durante la ricerca di
  -lc

  /usr/bin/ld: saltato /usr/lib/../lib/libc.so incompatibile durante la
  ricerca di -lc

  /usr/bin/ld: saltato /usr/lib/../lib/libc.a incompatibile durante la
  ricerca di -lc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libc.so incompatibile
  durante la ricerca di -lc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libc.a incompatibile
  durante la ricerca di -lc

  /usr/bin/ld: saltato /usr/lib/libc.so incompatibile durante la ricerca di
  -lc

  /usr/bin/ld: saltato /usr/lib/libc.a incompatibile durante la ricerca di
  -lc

  /usr/bin/ld: impossibile trovare -lc

  /usr/bin/ld: saltato /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/libgcc.a
  incompatibile durante la ricerca di -lgcc

  /usr/bin/ld: impossibile trovare -lgcc

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../../lib/libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/../lib/libgcc_s.so incompatibile durante la
  ricerca di -lgcc_s

  /usr/bin/ld: saltato
  /usr/lib/gcc/x86_64-unknown-linux-gnu/4.9.1/../../../libgcc_s.so
  incompatibile durante la ricerca di -lgcc_s

  /usr/bin/ld: saltato /usr/lib/libgcc_s.so incompatibile durante la ricerca
  di -lgcc_s

  /usr/bin/ld: impossibile trovare -lgcc_s

  collect2: error: ld returned 1 exit status

  CMakeFiles/cmTryCompileExec3995711278.dir/build.make:88: set di istruzioni
  per l'obiettivo "cmTryCompileExec3995711278" non riuscito

  make[1]: *** [cmTryCompileExec3995711278] Errore 1

  make[1]: uscita dalla directory
  "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeTmp"

  Makefile:118: set di istruzioni per l'obiettivo
  "cmTryCompileExec3995711278/fast" non riuscito

  make: *** [cmTryCompileExec3995711278/fast] Errore 2

 

 

  CMake will not be able to correctly generate this project.
Call Stack (most recent call first):
  CMakeLists.txt:1 (project)


-- Configuring incomplete, errors occurred!
See also "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeOutput.log".
See also "/home/tano70/Scaricati/apulse-git/src/apulse/CMakeFiles/CMakeError.log".
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...

Forse ti manca qualcosa del ramo Multilib

Offtopic: Mi sa che stiamo sporcando il topic con questioni che non riguardano Slackware. Forse è meglio chiudere qui ;)

miklos
Linux 4.x
Linux 4.x
Messaggi: 1442
Iscritto il: lun lug 16, 2007 17:39
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2
Località: Roma

Re: skype 4.3

Messaggioda miklos » lun set 22, 2014 10:55

ZeroUno ha scritto:Su linuxquestions hanno trovato un'altra soluzione che qualcuno sta sperimentando, ovvero un emulatore pulseaudio che se funziona sarebbe più pulito che mettere pulseaudio e dipendenze in una directory insieme a skype.
sto vedendo la storia del progetto ed è iniziato soltanto 7 giorni fa :shock:
sicuramente il tipo ci avrà lavorato anche prima.. pero' se funziona come dovrebbe ha risolto un bel problemone :)
ho visto cose che voi astemi non potete immaginare

Avatar utente
ZeroUno
Staff
Staff
Messaggi: 5120
Iscritto il: ven giu 02, 2006 14:52
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current
Località: Roma / Castelli
Contatta:

Re: skype 4.3

Messaggioda ZeroUno » lun set 22, 2014 13:05

http://files.z01.eu/skype/
skype_static-4.3.0.37-x86_64-3sl.txz è il vecchio skype_static a cui ho aggiunto apulse

testate e fatemi sapere.

per current non ho modo di testarlo per ora; la bozza che mi sono fatto ha un problema con la libreria libv4l
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg

Codice: Seleziona tutto

1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3530
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: skype 4.3

Messaggioda Trotto@81 » lun set 22, 2014 13:34

Appena installato e i suoni funzionano, vedremo come si comporta con la videochiamata. In ogni caso, grazie mille.

Avatar utente
Delcaran Lëdeloth
Linux 1.x
Linux 1.x
Messaggi: 132
Iscritto il: mar mag 27, 2008 8:24
Nome Cognome: Matteo Paoluzzi
Slackware: 14.2 - 64bit
Kernel: 4.4.111 generic
Desktop: i3
Località: ud.fvg.it
Contatta:

Re: skype 4.3

Messaggioda Delcaran Lëdeloth » dom ott 05, 2014 10:46

ZeroUno ha scritto:http://files.z01.eu/skype/
skype_static-4.3.0.37-x86_64-3sl.txz è il vecchio skype_static a cui ho aggiunto apulse

testate e fatemi sapere.

Buongiorno! Ho installato dal repository la versione i486-3tmp.txz, ma i suoni non funzionano. E' stata compilata in modo diverso da quella x86-64_3sl? Se sì puoi linkare uno SlackBuild per quella che teoricamente ha i suoni funzionanti, così me la compilo per x86?
In ogni caso grazie per il buon lavoro!
Find me at Keybase
Slackware user since 1997.

Avatar utente
umaga
Packager
Packager
Messaggi: 180
Iscritto il: lun gen 30, 2006 10:19
Slackware: 13.37
Kernel: 2.6.38.4-smp
Desktop: KDE 4.7
Località: Cagliari
Contatta:

Re: skype 4.3

Messaggioda umaga » mar ott 07, 2014 12:54

Ciao,

ho appena installato il tuo ultimo pacchetto skype:
skype_static-4.3.0.37-x86_64-3sl.txz

in una slackware-current, sul mio portatile.
Funziona sia audio che video senza aver fatto nessuna modifica.
Anche il file .asoundrc è rimasto il mio.

se servono altri dettagli scrivi pure ;)

ovviamente grazie mille!

Avatar utente
RedSkull92
Linux 3.x
Linux 3.x
Messaggi: 567
Iscritto il: mar apr 21, 2009 17:25
Slackware: 64bit -current
Kernel: 3.5.4
Desktop: FluxBox
Località: Palermo
Contatta:

Re: skype 4.3

Messaggioda RedSkull92 » mer ott 08, 2014 22:00

Oggi la versione 2.* mi ha smesso di funzionare -colpa di microsoft- così sono costretto ad usare la 3.*
Il pacchetto presente qui su Slacky una volta installato non mi permette neanche di avviare skype mi crasha.
Sono riuscito ad avviarlo correttamente dando come comando

Codice: Seleziona tutto

LD_PRELOAD=/usr/share/skype/lib/libv4l/v4l2convert.so GCONV_PATH=/usr/share/skype/lib/gconv QT_PLUGIN_PATH=/usr/share/skype/lib/plugins /usr/share/skype/skype

Ma l'audio non si sente. (Mentre la webcam, per esempio funziona egregiamente)

Ho scaricato lo skype_static ma una volta digitato skype mi dà

Codice: Seleziona tutto

Warning! The 32bit subsystem and the skype 32bit libraries differ
This may cause some problem if the version does not match
/usr/bin/skype: line 26:  7168 Segmentation fault      LD_PRELOAD=/usr/share/skype/lib32/libv4l/v4l2convert.so GCONV_PATH=/usr/share/skype/lib32/gconv QT_PLUGIN_PATH=/usr/share/skype/lib32/plugins PULSE_LATENCY_MSEC=60 APULSEPATH=/usr/share/skype/lib32/ LD_LIBRARY_PATH=/usr/share/skype/lib32/ /usr/share/skype/skype


Ho una -current a 64bit con le multilib di alien installate.
Il pacchetto skype_static della 2.* mi funzionava perfettamente.
A cosa può essere dovuto tutto ciò?

EDIT: Risolto installando apulse e dando il comando

Codice: Seleziona tutto

LD_PRELOAD=/usr/share/skype/lib/libv4l/v4l2convert.so GCONV_PATH=/usr/share/skype/lib/gconv QT_PLUGIN_PATH=/usr/share/skype/lib/plugins PULSE_LATENCY_MSEC=60 APULSEPATH=/usr/share/skype/lib32/ apulse /usr/share/skype/skype

Avatar utente
conraid
Staff
Staff
Messaggi: 13207
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: skype 4.3

Messaggioda conraid » gio ott 09, 2014 10:59

ZeroUno ha scritto:http://files.z01.eu/skype/
skype_static-4.3.0.37-x86_64-3sl.txz è il vecchio skype_static a cui ho aggiunto apulse

testate e fatemi sapere.

per current non ho modo di testarlo per ora; la bozza che mi sono fatto ha un problema con la libreria libv4l


ho preso il pacchetto per la stable e ci ho modificato alcuni file per current, in pratica qt-4.8.5 e librerie di sistema, e poi ho dato

Codice: Seleziona tutto

sed -i 's/4.8.5/4.8.6/g' doinst.sh
sed -i 's/2.17/2.19/g' doinst.sh

e per ora sembra funzionare.
La chiamata di test funziona, la cam la vede (ma non ho provato videochiamata). C'è solo un suono molto metallico nella registrazione microfono, che mi sembra non ci fosse in quella con pulseaudio, ma non ricordo bene.